
From: Andrew Morton <akpm@osdl.org>

arch/i386/kernel/machine_kexec.c:21: arguments given to macro `read_cr3'

We now have a macro for this.

Cc: Zachary Amsden <zach@vmware.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/machine_kexec.c |    8 +-------
 1 files changed, 1 insertion(+), 7 deletions(-)

diff -puN arch/i386/kernel/machine_kexec.c~i386-inline-asm-cleanup-kexec-fix arch/i386/kernel/machine_kexec.c
--- devel/arch/i386/kernel/machine_kexec.c~i386-inline-asm-cleanup-kexec-fix	2005-07-30 14:06:42.000000000 -0700
+++ devel-akpm/arch/i386/kernel/machine_kexec.c	2005-07-30 14:07:02.000000000 -0700
@@ -17,13 +17,7 @@
 #include <asm/apic.h>
 #include <asm/cpufeature.h>
 #include <asm/desc.h>
-
-static inline unsigned long read_cr3(void)
-{
-	unsigned long cr3;
-	asm volatile("movl %%cr3,%0": "=r"(cr3));
-	return cr3;
-}
+#include <asm/system.h>
 
 #define PAGE_ALIGNED __attribute__ ((__aligned__(PAGE_SIZE)))
 
_
